package com.zhongshu.card.client.type;

import lombok.Getter;

/**
 * 密码限制类型
 */
public enum PassWordType {
    NotLimit("不限制"),
    ChartAndNumber("必须包含子母+数字"),
    ChartUpAndChartLowAndNumber("必须包含大写字母+小写字母+数字组合"),
    ChartAndSpecialAndNumber("必须包含字母+特殊字符+数字组合"),
    ChartUpAndChartLowAndSpecialAndNumber("必须包含大写字母+小写字母+特殊字符+数字组合"),
    ;

    @Getter
    private String remark;

    PassWordType(String remark) {
        this.remark = remark;
    }
}
